Bug 167907 - [UPDATE] graphics/bmeps: update to 2.2.24
[UPDATE] graphics/bmeps: update to 2.2.24
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 08:50 UTC by takefu
Modified: 2012-06-08 15:20 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (228 bytes, patch)
2012-05-15 08:50 UTC, takefu
no flags Details | Diff
file.diff (528 bytes, patch)
2012-05-15 08:50 UTC, takefu
no flags Details | Diff
bmeps.diff (1.02 KB, patch)
2012-05-27 22:58 UTC, rfarmer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2012-05-15 08:50:05 UTC
- Update to 2.2.24
Port maintainer (rfarmer@predatorlabs.net) is cc'd.

Fix: --- graphics/bmeps.patch begins here ---
PORTNAME=	bmeps
-PORTVERSION=	2.2.22
-PORTREVISION=	1
+PORTVERSION=	2.2.24
 CATEGORIES=	graphics perl5
 MASTER_SITES=	SF/dktools/dktools/dktools-${PORTVERSION}
 DISTNAME=	dktools-${PORTVERSION}
+EXTRACT_SUFX=	.zip

 MAINTAINER=	rfarmer@predatorlabs.net
 COMMENT=	Convert bitmap images (PNG/JPEG/NetPBM) to EPS
@@ -22,7 +22,6 @@
 		netpbm:${PORTSDIR}/graphics/netpbm \
 		png:${PORTSDIR}/graphics/png

-USE_ZIP=	yes
 USE_PERL5=	yes
 GNU_CONFIGURE=	yes
Comment 1 Edwin Groothuis freebsd_committer 2012-05-15 08:50:17 UTC
Maintainer of graphics/bmeps,

Please note that PR ports/167907 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/167907

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-05-15 08:50:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 linimon 2012-05-27 22:40:48 UTC
----- Forwarded message from Takefu <takefu@airport.fm> -----

Date: Wed, 23 May 2012 22:18:17 +0900
From: Takefu <takefu@airport.fm>
To: Edwin Groothuis <edwin@FreeBSD.org>, freebsd-ports-bugs@FreeBSD.org
Subject: Re: ports/167907: [UPDATE] graphics/bmeps: update to 2.2.24

Minor fix.

- portlint(1) compliant


diff -ruN /usr/ports/graphics/bmeps/Makefile graphics/bmeps/Makefile
--- /usr/ports/graphics/bmeps/Makefile	2012-03-05 08:22:58.000000000 +0900
+++ graphics/bmeps/Makefile	2012-05-23 21:33:57.000000000 +0900
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	bmeps
-PORTVERSION=	2.2.22
-PORTREVISION=	1
+PORTVERSION=	2.2.24
 CATEGORIES=	graphics perl5
 MASTER_SITES=	SF/dktools/dktools/dktools-${PORTVERSION}
 DISTNAME=	dktools-${PORTVERSION}
@@ -22,7 +21,7 @@
 		netpbm:${PORTSDIR}/graphics/netpbm ¥
 		png:${PORTSDIR}/graphics/png
 
-USE_ZIP=	yes
+EXTRACT_SUFX:=	.zip
 USE_PERL5=	yes
 GNU_CONFIGURE=	yes
 
diff -ruN /usr/ports/graphics/bmeps/distinfo graphics/bmeps/distinfo
--- /usr/ports/graphics/bmeps/distinfo	2011-12-15 08:06:53.000000000 +0900
+++ graphics/bmeps/distinfo	2012-05-15 16:17:01.000000000 +0900
@@ -1,2 +1,2 @@
-SHA256 (dktools-2.2.22.zip) = 34b14bb679e90e7093027995954a7591916b4758b2b1aa482eed3ae53b676067
-SIZE (dktools-2.2.22.zip) = 5806013
+SHA256 (dktools-2.2.24.zip) = e72df91857737032fa9359411e74ebcda2a71b19e7cc583e8052768c5d4e3bcb
+SIZE (dktools-2.2.24.zip) = 5811240

----- End forwarded message -----
Comment 4 rfarmer 2012-05-27 22:58:08 UTC
Portlint doesn't like the EXTRACT_SUFX change; otherwise, approved.

-- 
Rob Farmer
Comment 5 linimon 2012-06-06 09:00:10 UTC
----- Forwarded message from Takefu <takefu@airport.fm> -----

Date: Wed, 06 Jun 2012 15:28:57 +0900
From: Takefu <takefu@airport.fm>
To: freebsd-ports-bugs@FreeBSD.org
Subject: Re: ports/167907: [UPDATE] graphics/bmeps: update to 2.2.24

As for zip file, even if USE_ZIP is not used, the decompression is possible.
It is safe in present portlint(1).


diff -ruN /usr/ports/graphics/bmeps/Makefile graphics/bmeps/Makefile
--- /usr/ports/graphics/bmeps/Makefile	2012-06-06 11:49:51.000000000 +0900
+++ graphics/bmeps/Makefile	2012-06-06 15:12:55.000000000 +0900
@@ -6,8 +6,7 @@
 #

 PORTNAME=	bmeps
-PORTVERSION=	2.2.22
-PORTREVISION=	2
+PORTVERSION=	2.2.24
 CATEGORIES=	graphics perl5
 MASTER_SITES=	SF/dktools/dktools/dktools-${PORTVERSION}
 DISTNAME=	dktools-${PORTVERSION}
@@ -22,7 +21,7 @@
 		netpbm:${PORTSDIR}/graphics/netpbm \
 		png15:${PORTSDIR}/graphics/png

-USE_ZIP=	yes
+EXTRACT_SUFX:=	.zip
 USE_PERL5=	yes
 GNU_CONFIGURE=	yes

diff -ruN /usr/ports/graphics/bmeps/distinfo graphics/bmeps/distinfo
--- /usr/ports/graphics/bmeps/distinfo	2011-12-15 08:06:53.000000000 +0900
+++ graphics/bmeps/distinfo	2012-05-15 16:17:01.000000000 +0900
@@ -1,2 +1,2 @@
-SHA256 (dktools-2.2.22.zip) = 34b14bb679e90e7093027995954a7591916b4758b2b1aa482eed3ae53b676067
-SIZE (dktools-2.2.22.zip) = 5806013
+SHA256 (dktools-2.2.24.zip) = e72df91857737032fa9359411e74ebcda2a71b19e7cc583e8052768c5d4e3bcb
+SIZE (dktools-2.2.24.zip) = 5811240

----- End forwarded message -----
Comment 6 scheidell freebsd_committer 2012-06-08 13:56:44 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 7 dfilter freebsd_committer 2012-06-08 15:12:31 UTC
arved       2012-06-08 14:12:22 UTC

  FreeBSD ports repository

  Modified files:
    graphics/bmeps       Makefile distinfo 
  Log:
  Update to 2.2.24
  
  PR:             167907
  Submitted by:   Takefu
  Approved by:    maintainer
  
  Mark MAKE_JOBS_UNSAFE while here
  
  Revision  Changes    Path
  1.18      +2 -2      ports/graphics/bmeps/Makefile
  1.10      +2 -2      ports/graphics/bmeps/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Tilman Keskinoz freebsd_committer 2012-06-08 15:12:33 UTC
State Changed
From-To: open->closed

committed thanks.